require 'active_support'
require 'offsite_payments'

include OffsitePayments::Integrations

module Malbec
  class NotificationMapper
    def initialize(raw_data)
      @notify = Paypal::Notification.new(raw_data) 
    end    
    
    %w(item_name item_number payer_id payer_email).each do |m|
       class_eval %(
         def #{m}
           (@notify.params['#{m}'])
         end
       )
    end
    
    %w(complete? transaction_id gross status test? currency params invoice account).each do |m|
       class_eval %(
         def #{m}
           (@notify.send(:#{m}))
         end
       )
    end
  end
  
end